GuidoApp check_db "CHECK DATABASE CONNECTED"
$check_db setParam "databasesession" "GeologyDatabase"
set result [$check_db invoke]
$check_db destroy
if {$result == "0"} {
GuidoForm form {
-default_buttons
-defaults_management false
-label "Confirmation"
-tip DB_REMOVE_HOLE_TIP
-layout BoxLayout Y_AXIS
GuidoPanel panel {
GuidoPanel panel {
GuidoLabel question1 {
-default REMOVE_HOLE_1
}
GuidoLabel hole_id_field {
}
GuidoLabel question2 {
-default REMOVE_HOLE_2
}
}
}
}
GuidoApp select "SELECT HOLE"
GuidoApp constrain "REMOVE DRILLHOLE FROM CONSTRAINT"
$select setParam prompt "DB_SELECT_HOLE_TO_REMOVE"
set hole_id "-"
while {$hole_id > ""} {
$select setParam single_click "true"
set result [$select invoke]
set buffer [ GuidoExecServer GetSelectedHoleId {} ]
set hole_id [ GuidoGetParamBufferValue $buffer hole_id ]
if {$hole_id > ""} {
$hole_id_field setCurrentValue $hole_id
set return_code [$form interact]
if {$return_code == "apply"} {
$constrain setParam hole_id $hole_id
$constrain invoke
}
}
}
$select destroy
$constrain destroy
$form destroy
}
